Skip to main content

Composer ile Yii2 Framework Kurulumu [Windows]

Yii2 Framework’ünü kurabilmeniz için  web serverınızın en az 5.4 ve üzerini desteklemesi gerekiyor.

Ayrıca composer ile kurulum yapacağımız için composer’ında yüklü olması gerekiyor. Eğer composer yüklü değil ise  indirmek için buraya tıklayınız. Yii2 tarafındanda tavsiye edilen yükleme  şekli composer’dır.

Composer  yüklendikten sonra komut satırından Composer Asset Plugin‘i yüklüyoruz.

Yükleme tamamlandıktan sonra aşağıdaki Yii2 uygulama şablonlarından birini kuruyoruz.

Basic uygulama şablonunu yüklemek için  aşağıdaki komut satırını çalıştırınız.

composer create-project yiisoft/yii2-app-basic projectname

Advanced uygulama şablonunu yüklemek için  aşağıdaki komut satırını çalıştırınız.

composer create-project yiisoft/yii2-app-advanced projectname


yii2-install